Show / Hide Table of Contents

# Struct ImGuiTableSortSpecsPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiTableSortSpecsPtr

### Constructors

| Improve this Doc View Source

#### ImGuiTableSortSpecsPtr(ImGuiTableSortSpecs*)

##### Declaration

    public ImGuiTableSortSpecsPtr(ImGuiTableSortSpecs*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTableSortSpecs* | nativePtr |

| Improve this Doc View Source

#### ImGuiTableSortSpecsPtr(IntPtr)

##### Declaration

    public ImGuiTableSortSpecsPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiTableSortSpecs*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTableSortSpecs* |

| Improve this Doc View Source

#### Specs

##### Declaration

    public ImGuiTableColumnSortSpecsPtr Specs { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTableColumnSortSpecsPtr |

| Improve this Doc View Source

#### SpecsCount

##### Declaration

    public int SpecsCount { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SpecsDirty

##### Declaration

    public bool SpecsDirty { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiTableSortSpecs* to ImGuiTableSortSpecsPtr)

##### Declaration

    public static implicit operator ImGuiTableSortSpecsPtr(ImGuiTableSortSpecs*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTableSortSpecs* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTableSortSpecsPtr |

| Improve this Doc View Source

#### Implicit(ImGuiTableSortSpecsPtr to ImGuiTableSortSpecs*)

##### Declaration

    public static implicit operator ImGuiTableSortSpecs*(ImGuiTableSortSpecsPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTableSortSpecsPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiTableSortSpecs* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiTableSortSpecsPtr)

##### Declaration

    public static implicit operator ImGuiTableSortSpecsPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTableSortSpecsPtr |